﻿<%@ Page language="vb" AutoEventWireup="false" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.Net.Mail" %>
<%@ Import Namespace="System.Web.Script.Serialization" %>
<%@ Import Namespace="System.text" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="description" content="Hoyts Cinema Technology Group operates across Australia &amp; New Zealand.  We have technicians in all major cities and maintain spare parts depots in a number of metropolitan areas."/>
    <meta name="keywords" content="Cinema Technology, Digital Signage, Digital Cinema, 35mm, Digital Cinema Installation, Digital Cinema Support, DCI Compliance, 2K projectors, 4K Projectors, 3D Projectors"/>
    <title>Hoyts Cinema Technology Group – Contact Us</title>
    <link href="css/reset.css" rel="stylesheet" type="text/css" media="screen"/>
    <link href="css/style.css" rel="stylesheet" type="text/css" media="screen"/>
    <link href="css/sliderkit-core.css" rel="stylesheet" type="text/css" media="screen"/>
    <link href="css/font/stylesheet.css" rel="stylesheet" type="text/css" media="screen"/>
    <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <link href="css/ie8.css" rel="stylesheet" type="text/css" media="screen" />
    <![endif]-->
    <!--[if lte IE 7]>
        <link href="css/ie7.css" rel="stylesheet" type="text/css" media="screen" />
    <![endif]-->
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js" type="text/javascript"></script>

    <script src="js/main.js" type="text/javascript"></script>
    <script src="js/bootstrap.js" type="text/javascript"></script>
    <script src="js/jquery.cycle.all.js" type="text/javascript"></script>
    <script src="js/jquery.easing.1.3.min.js" type="text/javascript"></script>
    <script src="js/jquery.sliderkit.1.9.2.pack.js" type="text/javascript"></script>
    <script src="js/jquery.validate.min.js" type="text/javascript"></script>
    <!--[if lte IE 8]>
        <script src="js/respond.min.js" type="text/javascript"></script>
    <![endif]-->
    <script>
        $(document).ready(function() {
            $("#contact_form").validate();
            jQuery.extend(jQuery.validator.messages,
                {
                    required: "An error occured, please try again",
                    email: "Please enter a valid email address."
                });

            $("#contactModal").modal("show");
            $("#contactSales").click(function() {
                window.location.href = "https://hoyts.zendesk.com/";
            });

            $("#contactHelpdesk").click(function() {
                $("#contactModal").modal("hide");
            });
        });
    </script>


</head>
<body>
<div class="modal fade" id="contactModal" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <div class="modal-content contact-body">
            <div class="modal-header">
                <div class="contact-header">WOULD YOU LIKE TO CONTACT US? HOW CAN WE DIRECT YOUR ENQUIRY.</div>
            </div>
            <div class="modal-body">
                <div class="contact-information">
                    <div class="contact-section">
                        I would like to contact the Hoyts Customer Service for help or support with a cinema issue.
                        <br/>
                        <button class="contact-button" id="contactSales">Contact Hoyts Customer Service</button>
                    </div>
                </div>
                <div class="contact-information">
                    <div class="contact-section">
                        I would like to contact the Hoyts Cinema Technology Group for cinema solutions.
                        <br/>
                        <button class="contact-button contact-button-1" id="contactHelpdesk">Contact Cinema Technology Group</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="outer-wrapper">
<div id="header" class="inner-page">
    <div class="container no-pad">
        <div class="topnav">
            <span class="top_email hidden-xs">
                EMAIL
                <em>
                    <a href="mailto:info@ctg.hoyts.com.au">info@ctg.hoyts.com.au</a>
                </em>
            </span>
        </div>

        <div id="logo">
            <a href="index.html">
                <img src="images/logo.png" alt="Hoyts"/>
            </a>
        </div>

        <div class="navbar-header">
            <button class="navbar-toggle" type="button" data-toggle="collapse" data-target=".bs-navbar-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

        </div>
        <nav class="collapse navbar-collapse bs-navbar-collapse" role="navigation">
            <ul class="nav navbar-nav">
                <li>
                    <a href="index.html">HOME</a>
                    <span>/</span>
                </li>
                <li>
                    <a href="solutions.html">SOLUTIONS</a>
                    <span>/</span>
                </li>
                <li class="dropper">
                    <a href="our_clients.html">Recent Clients</a>
                    <span class="caret">&nbsp;</span>
                    <ul>
                        <li>
                            <a href="our_clients.html#di">Digital Installations, Upgrades, Supply and Maintenance</a>
                        </li>
                        <li>
                            <a href="our_clients.html#pr">Premieres, Festivals and Events</a>
                        </li>
                        <li>
                            <a href="our_clients.html#sr">Screening Rooms and Post Production Facilities</a>
                        </li>

                    </ul>
                    <span>/</span>
                </li>
                <li>
                    <a href="services.html">Services and Support</a>
                    <span>/</span>
                </li>
                <li>
                    <a href="about_us.html">ABOUT</a>
                    <span>/</span>
                </li>
                <li class="active">
                    <a href="contact_us.aspx">CONTACT</a>
                </li>
            </ul>
        </nav>
        <div class="hero-text-default hidden-xs  col-sm-10">
            <div class="inner">
                <h2>
                    We're passionate about the development of the cinema
                    industry in Australia and New Zealand.<br/>
                    <span>We'd love to talk to you about your next project.</span>

                </h2>
            </div>
        </div>
    </div>
</div><!-- end header -->
<div id="mainbody">
<div id="main-content">
<div id="contact-content">
    <div class="container">
        <div class="row">
            <div class="clear">
                <div class="hero-text mobile-only col-sm-8">
                    <h2>
                        We're passionate about the development of the cinema
                        industry in Australia and New Zealand.
                        <span>We'd love to talk to you about your next project.</span>
                    </h2>
                </div>
            </div>


            <div class="col-sm-6">
                <div class="title-bar">
                    <h2>HOYTS GUEST EXPERIENCE</h2>
                </div>
                <p>
                    <b>If you'd like to talk to us about a cinema visit, please click <a href="http://www.hoyts.com.au/guest_service/index.aspx">here</a> to contact our Guest Experience team.</b>
                </p>
                <div class="title-bar">
                    <h2>GET IN TOUCH</h2>
                </div>
                <h3>Please fill out the form below and we will contact you</h3>
                <p>Our team of experts are always happy to have a chat to understand <br/>more about your requirements and what you are interested in.</p>
                <br/>
                <div class="form-content">
                    <div class="block-content">
                        <%

    If Not IsPostBack() Then%>
                            <form runat="server">

                                <!--<span class="required-1"><em>*</em> required fields</span>-->
                                <ul>
                                    <li>
                                        <label>Contact name <em>*</em></label>
                                        <input type="text" name="name" class="text-box required"/>
                                        <!--<span class="error"> An error occured, please try again</span>-->
                                    </li>
                                    <li>
                                        <label>Email <em>*</em></label>
                                        <input type="text" name="email" class="text-box required email"/>
                                        <!--<span class="tick"></span>-->
                                    </li>
                                    <li>
                                        <label>Contact number <em>*</em></label>
                                        <input type="text" name="number" class="text-box required"/>
                                    </li>
                                    <li>
                                        <label>How can we help you?</label>
                                        <textarea name="feedback" cols="3" rows="3"></textarea>
                                        <input type="submit" class="submit-btn" value=""/>
                                    </li>
                                </ul>
                                <div class="clear"></div>
                            </form>
                        <%
                                'If the form has been submitted execute the following code  
                            Else

                                ''receive the form values
                                'Dim sName, sEmail, sPhone, sFeedback
                                'sName = Request.Form("name")
                                'sEmail = Request.Form("email")
                                'sPhone = Request.Form("number")
                                'sFeedback = Request.Form("feedback")

                                '' create the HTML formatted email text
                                'Dim sEmailText
                                'sEmailText = sEmailText & "<html>"
                                'sEmailText = sEmailText & "<head>"
                                'sEmailText = sEmailText & "<title>HTML Email</title>"
                                'sEmailText = sEmailText & "</head>"
                                'sEmailText = sEmailText & "<body>"
                                'sEmailText = sEmailText & "Feedback message from: " & sName & "<br>"
                                'sEmailText = sEmailText & "Contact Number: " & sPhone & "<br>"
                                'sEmailText = sEmailText & "Message:" & sFeedback & "<br>"
                                'sEmailText = sEmailText & "Date & Time:" & Now() & "<br>"
                                'sEmailText = sEmailText & "IP :" & Request.ServerVariables("REMOTE_ADDR")
                                'sEmailText = sEmailText & "</body>"
                                'sEmailText = sEmailText & "</html>"

                                ''create the mail object 
                                'Dim mm = New MailMessage()
                                'mm.From = New MailAddress(sEmail)
                                'mm.To.Add(New MailAddress("info@ctg.hoyts.com.au"))
                                'mm.Subject = "Website Inquiry"
                                'mm.Body = sEmailText
                                'mm.IsBodyHtml = True

                                'Dim smtp = New SmtpClient("localhost")
                                'smtp.Send(mm)

                                'New REST API Method


                                Dim jname, jemail, jphone, jmessage

                                jname = Request.Form("name")
                                jemail = Request.Form("email")
                                jphone = Request.Form("number")
                                jmessage = Request.Form("feedback")

                                Dim JsonData As String = “[{“”name”":" + jname + ",””email””:” + jemail + ”,””number””:” + jphone + ”,””message””:” + jmessage + ”}]”

                                Dim objhttpWebRequest As HttpWebRequest
                                Try
                                    Dim httpWebRequest = DirectCast(WebRequest.Create("https://ctscontact.azurewebsites.net/api/CTSContact"), HttpWebRequest)
                                    httpWebRequest.ContentType = "text/json"
                                    httpWebRequest.Method = "POST"

                                    Using streamWriter = New StreamWriter(httpWebRequest.GetRequestStream())


                                        streamWriter.Write(JsonData)
                                        streamWriter.Flush()
                                        streamWriter.Close()
                                    End Using

                                    objhttpWebRequest = httpWebRequest

                                Catch ex As Exception
                                    Response.Write("Error: " + ex.Message)
                                End Try

                                Response.Write("<div align='center'>Thank you for sending your inquiry.<br>")
                                Response.Write("We will respond as quickly as possible.</div>")
                            End If
%>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div id="location" class="block">
                    <div class="title-bar">
                        <h2>HEAD OFFICE LOCATIONS</h2>
                    </div>

                    <div class="col-sm-6">
                        <h3>Australia</h3>

                        <p>
                            Level 50, 680 George St<br/>
                            Sydney, NSW, 2000
                        </p>
                        <a href="mailto:info@ctg.hoyts.com.au">info@ctg.hoyts.com.au</a>
                    </div>
                    <div class="col-sm-6">
                        <h3>New Zealand</h3>
                        <p>
                            286 Mt Wellington Highway<br/>
                            Mt Wellington 1644
                        </p>
                        <a href="mailto:info@ctg.hoyts.co.anz">info@ctg.hoyts.co.nz </a>
                    </div>
                    <div class="clear"></div>

                </div>
                <div class="block">
                    <div class="title-bar">
                        <h2>SERVICE AREAS</h2>
                    </div>
                    <h3>We provide service and support to all areas of Australia and New Zealand with field offices in all the major cities.</h3>
                    <div>
                        <img src="images/09-2013/map.png" alt="map" width="460" height="215" class="mobile"/>
                    </div>
                </div>

            </div>
            <div class="clear"></div>
        </div>
    </div>
    <div class="clear"></div>
</div><!-- end mainbody -->
<div id="footer-wrapper">
    <div id="footer">
        <div class="container">
            <div class="row">


                <div class="footer-links hidden-sm mobile-only">
                    <ul>
                        <li>
                            <a href="index.html">HOME</a>
                        </li>
                        <li>
                            <a href="solutions.html">SOLUTIONS</a>
                        </li>
                        <li>
                            <a href="services.html">SERVICES & SUPPORTS</a>
                        </li>
                        <li>
                            <a href="our_clients.html">Recent Clients</a>
                        </li>
                        <li>
                            <a href="about_us.html">ABOUT US</a>
                        </li>
                        <li>
                            <a href="contact_us.aspx">CONTACT US</a>
                        </li>
                    </ul>
                </div>


                <div class="footer-info footer-links col-sm-4  hidden-xs">
                    <h5>
                        <a href="about_us.html">About us</a>
                    </h5>
                    <p>Hoyts Cinema Technology Group is a leading provider of cinema technology and digital signage solutions for independent cinema operators and professional venues. We provide end to-end services from consulting and design through to ongoing support and maintenance.</p>
                </div>
                <div class="footer-links col-sm-3 hidden-xs">
                    <h5>
                        <a href="services.html">Services</a>
                    </h5>
                    <ul>
                        <li>Digital Cinema</li>
                        <li>Sound &amp; Automation</li>
                        <li>Cinema Fit-Outs</li>
                        <li>Digital Cinema Training</li>
                        <li>Theatre Management Systems</li>
                        <li>Digital Signage Solutions</li>
                        <li>DCI Compliance</li>

                    </ul>
                </div>

                <div class="footer-links col-sm-3 hidden-xs">
                    <h5>
                        <a href="about_us.html">Our partners</a>
                    </h5>
                    <ul>
                        <a target="_blank" href="http://www.christiedigital.com">
                            <li>Christie</li>
                        </a>
                        <a target="_blank" href="http://www.doremilabs.com">
                            <li>Doremi</li>
                        </a>
                        <a target="_blank" href="http://reald.com">
                            <li>Real D</li>
                        </a>
                        <a target="_blank" href="http://www.dolby.com">
                            <li>Dolby</li>
                        </a>
                        <a target="_blank" href="http://www.pennywise.com.au">
                            <li>Pennywise</li>
                        </a>
                        <a target="_blank" href="http://www.apc.com/au">
                            <li>APC</li>
                        </a>
                        <a target="_blank" href="http://www.qscaudio.com">
                            <li>QSC</li>
                        </a>
                        <a target="_blank" href="http://www.datacast.com">
                            <li>International Datacasting</li>
                        </a>
                        <a target="_blank" href="http://www8.hp.com/au/en/home.html">
                            <li>HP</li>
                        </a>
                        <a target="_blank" href="http://uslinc.com">
                            <li>USL inc</li>
                        </a>
                        <a target="_blank" href="http://panasonic.com.au">
                            <li>Panasonic</li>
                        </a>
                    </ul>
                </div>
                <div class="footer-links col-sm-2 hidden-xs">
                    <h5>
                        <a href="contact_us.aspx">Contact us</a>
                    </h5>
                    <h6>Australia</h6>
                    <p>
                        Level 50, 680 George St<br/>
                        Sydney, NSW, 2000<br/><a href="mailto:info@ctg.hoyts.com.au">info@ctg.hoyts.com.au</a>
                    </p><br/><br/>
                    <h6>New Zealand</h6>
                    <p>286 Mt Wellington Highway<br/>Mt Wellington 1644<br/><a href="mailto:info@ctg.hoyts.co.nz">info@ctg.hoyts.co.nz</a></p><br/>
                    <!--<h5>Customer support</h5>
                    <ul>
                        <li>Ph 1800 989 989</li>
                        <li><span>E</span><a href="mailto:support@ctg.com.au">support@ctg.com.au</a></li>
                        <li><span><img src="images/footer-arrow.png" alt="customer login" width="4" height="8" /></span><a href="#">Customer login</a></li>
                    </ul>-->
                </div>
            </div>
        </div>
    </div>
</div><!-- end footer -->
</div>
</div>
</div>
<script type="text/javascript">
    var _gaq = _gaq || [];
    _gaq.push(['_setAccount', 'UA-31098243-1']);
    _gaq.push(['_trackPageview']);
    (function() {
        var ga = document.createElement('script');
        ga.type = 'text/javascript';
        ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') +
            '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(ga, s);
    })();
</script>
</body>
</html>